dbus-cpp (5.0.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_extend-async-execution-load-test-for-slow-archs.patch. Extend
      waitFor phase in async_execution_load_test to 10min (instead of 5min).
      To fix unit test failures on slow architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 17:58:14 +0100

dbus-cpp (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop patches 0001 and 0002. Applied upstream.
    + Rebase 2001_dont-build-with-werror.patch.
    + Drop 0003-Bump-cpp-std-to-14-fixes-googletest-1.13.0.patch. Not required
      anymore. C++-standard not explicitly set anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 15:09:05 +0100

dbus-cpp (5.0.3-8) unstable; urgency=medium

  * debian/control:
    + Versionize B-D on libprocess-cpp-dev. Require process-cpp (>= 3.0.2)
      (which comes with a fixed SOVERSION_MAJOR).
  * debian/libdbus-cpp5.symbols:
    + Drop file. (Closes: #1015380).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 09:52:29 +0200

dbus-cpp (5.0.3-7) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 10:43:55 +0200

dbus-cpp (5.0.3-6) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 19:51:17 +0200

dbus-cpp (5.0.3-5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/watch: Amend watch URL.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.2, no changes needed.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix gcc13 build (closes: #1037617)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 04:02:18 +0200

dbus-cpp (5.0.3-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml

  [ Marius Gripsgard ]
  * [debian/*.symbols] Mark symbols optional on LTO builds
    (will be optimized out)

 -- Marius Gripsgard <marius@ubports.com>  Tue, 10 Jan 2023 20:27:19 +0100

dbus-cpp (5.0.3-3) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/tests:
    + Fix right path for benchmark
  * debian/patches:
    + Add 0001-src-Don-t-steal-a-pending-dbus-call-more-then-once.patch.
      src: Don't *steal* a pending dbus call more then once. (Closes:
      #888995).

  [ Mike Gabriel ]
  * debian/rules:
    + Add inclusion of buildflags.mk.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Mar 2022 15:19:48 +0100

dbus-cpp (5.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Drop 0001_explicitly-declare-copy-constructor.patch,
      1003_increase-asyncexec-test-timeout.patch. Not required anymore.
    + Rename dont-build-with-werror.patch to 2001_dont-build-with-werror.patch
      and marke patch-forwarding as not-required.
  * debian/rules:
    + Don't derived upstream version from package version.
  * debian/control:
    + Fix whitespace flaw in B-D: field.
    + Copy over dev:pkgs in build requirements to Depends: field of dev:pkg
      libdbus-cpp-dev.
  * debian/VERSION:
    + Drop file. Where did this come from?
  * debian/*.lintian-overrides:
    + Drop files. Not wanted anymore.
  * debian/*:
    + Make bin:pkg dbus-cpp-dev-examples multi-arch:foreign and ship example
      files in /usr/libexec/.
  * debian/libdbus-cpp5.symbols:
    + Add Build-Depends-Package: metadata field.
  * debian/libdbus-cpp5.install:
    + Drop .install.in file, drop comment.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Jul 2021 16:55:09 +0200

dbus-cpp (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jul 2021 22:27:12 +0200

dbus-cpp (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_fix-build-with-boost-1.66.0-and-above.patch.
      Applied upstream.
    + Rebase 0001_explicitly-declare-copy-constructor.patch and
      dont-build-with-werror.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 17:39:06 +0100

dbus-cpp (5.0.1-5) unstable; urgency=medium

  * debian/rules:
    + Run unit tests in --no-parallel mode.
  * debian/tests/0002-benchmark:
    + Run benchmark test wrapped by dbus-test-runner.
  * debian/tests/control:
    + Add requirement dbus-test-runner for test 0002-benchmark.
  * debian/control
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Dec 2020 16:34:11 +0000

dbus-cpp (5.0.1-4) unstable; urgency=medium

  * debian/libdbus-cpp5.symbols:
    + Work in required changes for armel armhf i386 m68k mipsel x32.
  * debian/patches/1003_increase-asyncexec-test-timeout.patch:
    + Re-think patch. Now really set the max allowed test duration to 10min.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 21:02:31 +0100

dbus-cpp (5.0.1-3) unstable; urgency=medium

  * debian/control:
    + Fix typo in Vcs-Browser: field's URL. Spotted and reported by Boyuan
      Yang. (Closes: #951019).
    + Limit builds to linux-any architectures, only.
    + Add B-D pkg-kde-tools.
  * debian/rules:
    + Run DH --with pkgkde_symbolshelper.
  * debian/patches:
    + Drop 2001_increase-test-timeouts-for-Debian-buildds.patch. Red herring.
    + Add debian/patches/0003_increase-asyncexec-test-timeout.patch. Now
      (hopefully) really increase async execution test's timeout.
  * debian/libdbus-cpp5.symbols:
    + Add file (using pkg-kde-tools).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 14:04:16 +0100

dbus-cpp (5.0.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_increase-test-timeouts-for-Debian-buildds.patch. Increase reply
      timeout value for unit tests from 300s to 900s. If this works out, we will
      consider disabling the async_execution_load_test on affected architectures
      (at least armel, mipsel, ia64, powerpc, ppc64). (Closes: #888995).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2020 16:33:04 +0100

dbus-cpp (5.0.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/rules:
    + Add get-orig-source target.
  * debian/copyright:
    + Update copyright attributions.
  * debian/{control,copyright}:
    +Switch to UBports as upstream.
  * debian/control:
    + Adopt package. Move over to Debian UBports Team. (Closes: #904426).
    + Update Vcs-*: fields accordingly.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/gbp.conf:
    + Use gbp's defaults.
  * debian/watch:
    + Add file.
  * debian/patches/:
    + Add README explaining our patch naming scheme.
    + Add dont-build-with-werror.patch. Don't build with -Werror. Avoid FTBFS
      for deprecations. (Closes: #949044).
    + Add 0001_explicitly-declare-copy-constructor.patch. Thanks to Luca Weiss
      for working on the patch. Fixes FTBFS against GCC-9.
    + Add 0002_fix-build-with-boost-1.66.0-and-above.patch. Fix FTBFS against
      Boost >= 1.66. Thanks to Luca Weiss for working on the patch.

  [ Helmut Grohne ]
  * debian/rules:
    + Improve cross-building, don't override compilers. (Closes: #940694).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Jan 2020 08:51:55 +0100

dbus-cpp (5.0.0+18.04.20171031-2) unstable; urgency=medium

  * Orphan package.
  * Add some autopkgtests.
  * Update Vcs-* headers to point to new repo location on salsa.debian.org.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 16:27:30 +0800

dbus-cpp (5.0.0+18.04.20171031-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #887960)

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Jan 2018 15:52:44 +1100

dbus-cpp (5.0.0+18.04.20171031-0ubuntu1) bionic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Fix FTBFS on bionic by switching to use cmake-extras and not
    enforcing -pedantic anymore as current gtest macros do not follow
    strict standards anymore.

 -- Łukasz Zemczak <lukasz.zemczak@canonical.com>  Tue, 31 Oct 2017 19:11:23 +0000

dbus-cpp (5.0.0+16.10.20160809-0ubuntu1) yakkety; urgency=medium

  * Fix signal emission on dbus::ServiceWatcher.

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 09 Aug 2016 07:31:30 +0000

dbus-cpp (5.0.0+15.10.20151021.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

 -- Thomas Voß <ci-train-bot@canonical.com>  Wed, 21 Oct 2015 08:00:51 +0000

dbus-cpp (5.0.0-0ubuntu3) wily; urgency=medium

  * Bump revision as the archive has 5.0.0-0ubuntu2

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 20 Oct 2015 17:03:52 +0200

dbus-cpp (5.0.0) wily; urgency=medium

  * Bump major revision to account for toolchain update. Fixes LP:#1452322

 -- Thomas Voß <thomas.voss@canonical.com>  Tue, 21 Jul 2015 12:36:46 +0200

dbus-cpp (4.3.0+15.04.20160114.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * Add a proper operator<< for dbus::Message::Type. (LP: #1524131)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 14 Jan 2016 21:51:19 +0000

dbus-cpp (4.3.0+15.04.20160112-0ubuntu1) vivid; urgency=medium

  * Only run dbus_shutdown if explicitly requested by env var. (LP:
    #1422304, #1526877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 12 Jan 2016 16:28:02 +0000

dbus-cpp (4.3.0+15.04.20151126-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Ensure that Signal with non-void argument types correctly narrow
    their match rules. (LP: #1480877)

 -- Thomas Voß <ci-train-bot@canonical.com>  Thu, 26 Nov 2015 07:31:37 +0000

dbus-cpp (4.3.0+15.04.20151023-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Thomas Voß ]
  * Do not cache emitted values for stub signals. (LP: #1509285)

 -- Jim Hodapp <ci-train-bot@canonical.com>  Fri, 23 Oct 2015 10:01:27 +0000

dbus-cpp (4.3.0+15.04.20151020-0ubuntu1) vivid; urgency=medium

  [ Manuel de la Pena ]
  * Ensure that the signals are correctly emitted for when the services
    appear and go.

 -- Thomas Voß <ci-train-bot@canonical.com>  Tue, 20 Oct 2015 10:55:11 +0000

dbus-cpp (4.3.0+15.04.20150505-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbus-cpp4.symbols.32bit: update to released version.
  * debian/libdbus-cpp4.symbols.64bit: update to released version.

  [ Thomas Voß ]
  * core::dbus::Fixture: Provide access to the address of the spawned
    session/system bus instances.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 08:24:49 +0000

dbus-cpp (4.3.0+15.04.20150415-0ubuntu1) vivid; urgency=medium

  [ Thomas Voß ]
  * DBus daemon lives in /usr/bin now.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Apr 2015 09:51:18 +0000

dbus-cpp (4.3.0+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ thomas-voss ]
  * We ref on construction, so decrement the ref count by 1 to 1 prior
    to returning. (LP: #1396985)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 09:56:06 +0000

dbus-cpp (4.3.0+15.04.20141110-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Ensure Signal<void>::~Signal is exception safe.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 12:31:09 +0000

dbus-cpp (4.2.0+15.04.20141105-0ubuntu1) vivid; urgency=medium

  [ Thomas Voss ]
  * Make core::dbus::Signal::~Signal respect the noexcept guarantee.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 07:51:06 +0000

dbus-cpp (4.1.0+15.04.20141104-0ubuntu1) vivid; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Nov 2014 04:23:34 +0000

dbus-cpp (4.1.0+14.10.20141031~rtm-0ubuntu1) 14.09; urgency=low

  [ thomas-voss ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

  [ Kevin Gunn ]
  * Relax timeout on org.freedesktop.Properties::{GetAll, Get, Set}.
    with timeout set to 30 sec (LP: #1361642)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 07:51:25 +0000

dbus-cpp (4.1.0+14.10.20141030~rtm-0ubuntu1) 14.09; urgency=medium

  [ Thomas Voss ]
  * Ensure that dead objects are correctly cleaning up their connections to the signal router.
  * Robustify against dangling objects.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Oct 2014 14:01:09 +0000

dbus-cpp (4.0.0+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Fix another race when setting up a pending call notification on
    another thread than the one driving the event loop. Introduce an
    option to enable sanitizers.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 15:55:53 +0000

dbus-cpp (4.0.0+14.10.20141002.1-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Always unref pending calls, add load test to ensure correct
    behavior. Make sure that timeouts are never notified after
    destruction. (LP: #1367836)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 20:49:03 +0000

dbus-cpp (4.0.0+14.10.20140917-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Factor out dbus-specific environment variable names into compile-
    time constants. Make sure that environment variables are unset prior
    to setting.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 11:47:45 +0000

dbus-cpp (4.0.0+14.10.20140909-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Make sure that signature for int64 types is calculated correctly.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Sep 2014 18:31:44 +0000

dbus-cpp (4.0.0+14.10.20140808-0ubuntu1) utopic; urgency=low

  [ thomas-voss ]
  * Ensure that property changed signals are only subscribed to once.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 08 Aug 2014 02:05:51 +0000

dbus-cpp (4.0.0+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/libdbus-cpp4.symbols.32bit: auto-update to released version
  * debian/libdbus-cpp4.symbols.64bit: auto-update to released version

  [ thomas-voss ]
  * Make sure that dbus daemon instances fired up for testing are torn
    down after a configurable timeout. (LP: #1326200)
  * Make sure that core::dbus::Service::Service(...) interprets return
    values of dbus_bus_request_name correctly. (LP: #1329211)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 16:12:30 +0000

dbus-cpp (4.0.0+14.10.20140718-0ubuntu2) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 12:12:39 -0700

dbus-cpp (4.0.0+14.10.20140718-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Bump major revision and so name to account for toolchain update.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 12:24:18 +0000

dbus-cpp (3.1.0+14.10.20140716.1-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Bumping revision to force build-dependency.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Jul 2014 20:19:01 +0000

dbus-cpp (3.1.0+14.10.20140711-0ubuntu1) utopic; urgency=medium

  [ Manuel de la Pena ]
  * Provide a new make_executor method to allow to pass the io_service.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Jul 2014 13:53:03 +0000

dbus-cpp (3.0.0+14.10.20140709.2-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Antti Kaijanmäki ]
  * Fix read-only property PropertiesChanged updates. (LP: #1339589)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 10:15:33 +0000

dbus-cpp (3.0.0+14.10.20140612-0ubuntu1) utopic; urgency=low

  [ Manuel de la Peña ]
  * Provide useful macros to be used by developers so that less code has
    to be written to define methods, properties and signals.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Jun 2014 11:08:49 +0000

dbus-cpp (3.0.0+14.10.20140604-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Remove unnecessary std::moves in return statements.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Jun 2014 07:29:10 +0000

dbus-cpp (3.0.0+14.10.20140507-0ubuntu1) utopic; urgency=medium

  [ Thomas Voß ]
  * Version bump, switching to GCC 4.8.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 May 2014 09:54:12 +0000

dbus-cpp (2.0.0+14.04.20140326-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Mar 2014 18:03:49 +0000

dbus-cpp (2.0.0+14.04.20140322-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Robert Bruce Park ]
  * Do not build-dep explicitly on specific g++ version for ppc64-el.

  [ thomas-voss ]
  * Do not build-dep explicitly on specific g++ version for ppc64-el.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 22 Mar 2014 09:42:35 +0000

dbus-cpp (2.0.0+14.04.20140310-0ubuntu1) trusty; urgency=medium

  [ Pete Woods ]
  * Change the way signals register match rules -> ABI version bump
  * Mark symbols that only appear when built under Jenkins as optional.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version
  * New rebuild forced

  [ thomas-voss ]
  * Make sure that signals call about_to_be_destroyed. Make
    core::dbus::Signal report that it is about to be destructed. Add a
    thread-safe lifetime constrained object cache & accompanying tests.
  * Add dbus as runtime dependency for libdbus-cpp-dev. (LP: #1272191)
  * Don't exit on dbus connection close.
  * Remove local versions of cross-process-sync and fork-and-run.
  * Switch to release build type for production builds.
  * Small adjustments to the symbols file.
  * Try to create symbols files for each architecture, not caring for
    too much redundancy. It's really hard to maintain those otherwise.
  * Add a test for racyness and provide an alternative to _and_block.

  [ Antti Kaijanmäki ]
  * Fix stack corruption in core::dbus::Message::pop_boolean().
  * Fix Signal::emit().
  * Fix deadlock in MessageRouter.

  [ Łukasz 'sil2100' Zemczak ]
  * Try to create symbols files for each architecture, not caring for
    too much redundancy. It's really hard to maintain those otherwise.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Mar 2014 09:20:09 +0000

dbus-cpp (1.0.0+14.04.20140123.1-0ubuntu1) trusty; urgency=medium

  [ Thomas Voß ]
  * Force compilation against GCC 4.7. Account for toolchain differences.

  [ Łukasz 'sil2100' Zemczak ]
  * Drop symbols file as a last minute decision. The ABI is not stable and
    different between architectures. This change won't be merged in trunk.
    shlibs -V is used in the meantime.

 -- Lukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 05 Feb 2014 13:42:44 +0000

dbus-cpp (1.0.0+14.04.20140123-0ubuntu1) trusty; urgency=low

  [ Thomas Voß ]
  * Manual version bump.

  [ Ubuntu daily release ]
  * debian/*symbols: auto-update new symbols to released version

  [ thomas-voss ]
  * Update fork_and_run method ensuring that the test process does not
    get corrupted. Fix emission of signals carrying values. Remove
    duplicate setup of message handler for get and set on property.
  * Fix property handling. Fix pkgconfig setup to make sure that clients
    of the library correctly link to it.
  * Add fixture for testing purposes.
  * Fix map decoding.
  * Make sure that the map is cleared initially.
  * Make sure that expectations not being met fails cross-process test
    cases. Add a class SigTermCatcher to ease cross-process testing.
  * Add operator!= for types::ObjectPath.
  * Fix signal creation to always return unique instances. Add test case
    to prevent from regressions.
  * Clean up patch and augment test case. Refactor Variant to rely on an
    encoder and decoder functor.
  * Switch type for ArgumentType::byte to std::uint8_t as per DBus spec.
    (LP: #1270843)
  * Add test-cases for same object, same interface, different & same
    member signals.
  * Add sender to match rule for event filtering.
  * Add a thread-safe lifetime constrained object cache & accompanying
    tests.
  * Fix paths to default system and session bus config files.

  [ Antti Kaijanmäki ]
  * Add Object::path() to get the ObjectPath for an Object.
  * Fix signal creation to always return unique instances. Add test case
    to prevent from regressions.

  [ Łukasz 'sil2100' Zemczak ]
  * Merge all symbols file into one file with arch-conditional symbols
    in it. It should be good this way.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 31

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 Jan 2014 15:53:27 +0000

dbus-cpp (0.0.1+13.10.20130904-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 14:52:42 +0100

dbus-cpp (0.0.1+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ thomas-voss ]
  * Drop lcov dependency. (LP: #1218896)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 12

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 02:32:09 +0000

dbus-cpp (0.0.1daily13.06.18-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 10

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Jun 2013 02:02:20 +0000

dbus-cpp (0.0.1daily13.06.17-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 9

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Jun 2013 02:02:03 +0000

dbus-cpp (0.0.1daily13.06.14.1-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules, debian/control, debian/compat, debian/copyright:
    - Modifications related to compliance with our packaging standards
  * Disable tests during build for powerpc, as those are currently broken
  * Automatic snapshot from revision 5 (bootstrap)

  [ Timo Jyrinki ]
  * Add copyright headers, fix lintian errors, use @ubuntu.com
    maintainer address, enable multi-arch.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 8

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Jun 2013 15:25:24 +0000

dbus-cpp (0.0.1-0ubuntu1) raring; urgency=low

  * Initial release

 -- Thomas Voß <thomas.voss@canonical.com>  Mon, 06 May 2013 11:43:05 +0200
